import { configureStore } from '@reduxjs/toolkit'
import historyReducer from './historyRecord_reducer'
import redirectReducer from './redirectUrl_reducer'
import dirMessageReducer from './dirMessage_reducer'
import clickFileReducer from './clickFile_reducer'
import pushHotkeysReducer from "./pushHotkeys_reducer";
// 用于支持异步函数
export const store = configureStore({
    reducer: {
        historyRecord:historyReducer,
        redirectUrl:redirectReducer,
        dirMessage:dirMessageReducer,
        pushHotkeys:pushHotkeysReducer,
        clickFileMessage:clickFileReducer
    }
})
export default store